<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/src/Transport/MimeParser.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_b7bc15c7de8e43583c698b7747a94971.html">src</a></li><li class="navelem"><a class="el" href="dir_7cc4805d13c57da402acac8e1a9ae866.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">MimeParser.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_mime_parser_8h_source.html">ACL/Transport/MimeParser.h</a>&quot;</code><br />
<code>#include &lt;sstream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MimeParser.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_mime_parser_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_mime_parser_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_mime_parser_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_mime_parser_8cpp">
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mime_parser_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a109c7648a0149d22832e5875c0c9e3a6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a109c7648a0149d22832e5875c0c9e3a6">alexaClientSDK::acl::TAG</a> (&quot;MimeParser&quot;)</td></tr>
<tr class="memdesc:a109c7648a0149d22832e5875c0c9e3a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a109c7648a0149d22832e5875c0c9e3a6">More...</a><br /></td></tr>
<tr class="separator:a109c7648a0149d22832e5875c0c9e3a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90ca8dbaebda004b3143614398c94e19"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a90ca8dbaebda004b3143614398c94e19">alexaClientSDK::acl::sanitizeContentId</a> (const std::string &amp;mimeContentId)</td></tr>
<tr class="separator:a90ca8dbaebda004b3143614398c94e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a167ef11724104a530aadd0a211a931e9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a167ef11724104a530aadd0a211a931e9">alexaClientSDK::acl::MIME_CONTENT_TYPE_FIELD_NAME</a> = &quot;Content-Type&quot;</td></tr>
<tr class="memdesc:a167ef11724104a530aadd0a211a931e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME field name for a part's MIME type.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a167ef11724104a530aadd0a211a931e9">More...</a><br /></td></tr>
<tr class="separator:a167ef11724104a530aadd0a211a931e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18fa563f01041bd50c2e1c613766c0e4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a18fa563f01041bd50c2e1c613766c0e4">alexaClientSDK::acl::MIME_CONTENT_ID_FIELD_NAME</a> = &quot;Content-ID&quot;</td></tr>
<tr class="memdesc:a18fa563f01041bd50c2e1c613766c0e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME field name for a part's reference id.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a18fa563f01041bd50c2e1c613766c0e4">More...</a><br /></td></tr>
<tr class="separator:a18fa563f01041bd50c2e1c613766c0e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac7c7bcf00157df46b2dacda0eb013dd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#aac7c7bcf00157df46b2dacda0eb013dd">alexaClientSDK::acl::MIME_JSON_CONTENT_TYPE</a> = &quot;application/json&quot;</td></tr>
<tr class="memdesc:aac7c7bcf00157df46b2dacda0eb013dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME type for JSON payloads.  <a href="namespacealexa_client_s_d_k_1_1acl.html#aac7c7bcf00157df46b2dacda0eb013dd">More...</a><br /></td></tr>
<tr class="separator:aac7c7bcf00157df46b2dacda0eb013dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e84efbee9b627b2c6fb61c1d68b85a9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a2e84efbee9b627b2c6fb61c1d68b85a9">alexaClientSDK::acl::MIME_OCTET_STREAM_CONTENT_TYPE</a> = &quot;application/octet-stream&quot;</td></tr>
<tr class="memdesc:a2e84efbee9b627b2c6fb61c1d68b85a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME type for binary streams.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a2e84efbee9b627b2c6fb61c1d68b85a9">More...</a><br /></td></tr>
<tr class="separator:a2e84efbee9b627b2c6fb61c1d68b85a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe7026fc5eeec090250274fa1dd61af8"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#abe7026fc5eeec090250274fa1dd61af8">alexaClientSDK::acl::LEADING_CRLF_CHAR_SIZE</a> = 2</td></tr>
<tr class="memdesc:abe7026fc5eeec090250274fa1dd61af8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of CLRF in chars.  <a href="namespacealexa_client_s_d_k_1_1acl.html#abe7026fc5eeec090250274fa1dd61af8">More...</a><br /></td></tr>
<tr class="separator:abe7026fc5eeec090250274fa1dd61af8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe5182249ab2aa4711f58e4f6683b85"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#affe5182249ab2aa4711f58e4f6683b85">alexaClientSDK::acl::CARRIAGE_RETURN_ASCII</a> = 13</td></tr>
<tr class="memdesc:affe5182249ab2aa4711f58e4f6683b85"><td class="mdescLeft">&#160;</td><td class="mdescRight">ASCII value of CR.  <a href="namespacealexa_client_s_d_k_1_1acl.html#affe5182249ab2aa4711f58e4f6683b85">More...</a><br /></td></tr>
<tr class="separator:affe5182249ab2aa4711f58e4f6683b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a01f7d2f8ce31f228b80fa5103c7db0"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a0a01f7d2f8ce31f228b80fa5103c7db0">alexaClientSDK::acl::LINE_FEED_ASCII</a> = 10</td></tr>
<tr class="memdesc:a0a01f7d2f8ce31f228b80fa5103c7db0"><td class="mdescLeft">&#160;</td><td class="mdescRight">ASCII value of LF.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a0a01f7d2f8ce31f228b80fa5103c7db0">More...</a><br /></td></tr>
<tr class="separator:a0a01f7d2f8ce31f228b80fa5103c7db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
